Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226234

Summary: Merge Review: patchutils
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: twaugh
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-12-04 18:03:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-31 20:21:23 UTC
Fedora Merge Review: patchutils

http://cvs.fedora.redhat.com/viewcvs/devel/patchutils/
Initial Owner: twaugh@redhat.com

Comment 1 Parag AN(पराग) 2007-12-01 11:18:01 UTC
rpmlint gave me ->
patchutils.src:11: W: unversioned-explicit-obsoletes interdiff
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

patchutils.src:12: W: unversioned-explicit-provides interdiff
The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause
update problems and will make versioned dependencies, obsoletions and conflicts
on the provided thing useless -- make the Provides versioned if possible.

patchutils.src:32: W: make-check-outside-check-section make check
Make check or other automated regression test should be run in %check, as
they can be disabled with a rpm macro for short circuiting purposes.

Also,
 1) use of parallel make check =>
http://fedoraproject.org/wiki/Packaging/Guidelines#head-525c7d76890cb22df33b759c65c35c82bf434d2e

 2) avoid makeinstall usage 
=>http://fedoraproject.org/wiki/Packaging/Guidelines#head-fcaf3e6fcbd51194a5d0dbcfbdd2fcb7791dd002

 3)Good to have defattr used as %defattr(-,root,root,-)

other thing man pages timestamps are changing and not following what upstream
released with timestamps.


Comment 2 Tim Waugh 2007-12-03 12:32:23 UTC
The man pages are deliberately rebuilt so that they are consistent with any
other xmlto-built man pages on the system.

Other fixes applied.

New package: patchutils-0.2.31-4.fc9

Comment 3 Parag AN(पराग) 2007-12-04 12:31:08 UTC
with new updated release packaging looks ok then.

APPROVED.